Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members

# TAO_PSDL_Root_Scope Class Reference

`#include <PSDL_Root_Scope.h>`

Inheritance diagram for TAO_PSDL_Root_Scope:

[legend]
Collaboration diagram for TAO_PSDL_Root_Scope:

[legend]
List of all members.

## Public Member Functions
| TAO_PSDL_Root_Scope (void)
| ~TAO_PSDL_Root_Scope (void)
int | add_module (ACE_CString identifier)
int | add_interface (ACE_CString identifier)
int | add_struct (ACE_CString identifier)
int | add_typedef (ACE_CString identifier, ACE_CString identifier_type)
int | add_const_decl (ACE_CString identifier, ACE_CString identifier_type)
int | add_except_decl (ACE_CString identifier, ACE_CString identifier_type)
int | add_op_dcl (ACE_CString identifier)
void | dump (CORBA::ULong depth)
| Function to help indent the output of the parse tree.
int | find (const ACE_CString &identifier_name, ACE_CString &identifier_type)
| Function to find the TAO_PSDL_Scope for the given identifier_name.
int | find (const ACE_CString &identifier_name)
int | get_module_name (const ACE_CString &identifier_name, ACE_CString &module_name)
int | get_interface_name (const ACE_CString &identifier_name, ACE_CString &interface_name)
TAO_PSDL_Scope * | parent_scope (void)
| Public methods to return the scopes needed.
Scope_Map * | scope_map (void)
| Return the pointer to Scope_Map of the instance.
## Protected Attributes
Scope_Map | root_scope_map_

## Constructor & Destructor Documentation

TAO_PSDL_Root_Scope::TAO_PSDL_Root_Scope | ( | void |  | ) |

TAO_PSDL_Root_Scope::~TAO_PSDL_Root_Scope | ( | void |  | ) |

## Member Function Documentation

int TAO_PSDL_Root_Scope::add_const_decl | ( | ACE_CString | identifier,
|  | ACE_CString | identifier_type
| ) | `[virtual]`

| Reimplemented from TAO_PSDL_Scope.

int TAO_PSDL_Root_Scope::add_except_decl | ( | ACE_CString | identifier,
|  | ACE_CString | identifier_type
| ) | `[virtual]`

| Reimplemented from TAO_PSDL_Scope.

int TAO_PSDL_Root_Scope::add_interface | ( | ACE_CString | identifier | ) | `[virtual]`

| Reimplemented from TAO_PSDL_Scope.

int TAO_PSDL_Root_Scope::add_module | ( | ACE_CString | identifier | ) | `[virtual]`

| Methods to be able to add the respective types to the Root Scope. Reimplemented from TAO_PSDL_Scope.

int TAO_PSDL_Root_Scope::add_op_dcl | ( | ACE_CString | identifier | ) | `[virtual]`

| Reimplemented from TAO_PSDL_Scope.

int TAO_PSDL_Root_Scope::add_struct | ( | ACE_CString | identifier | ) | `[virtual]`

| Reimplemented from TAO_PSDL_Scope.

int TAO_PSDL_Root_Scope::add_typedef | ( | ACE_CString | identifier,
|  | ACE_CString | identifier_type
| ) | `[virtual]`

| Reimplemented from TAO_PSDL_Scope.

void TAO_PSDL_Root_Scope::dump | ( | CORBA::ULong | depth | ) | `[virtual]`

| Function to help indent the output of the parse tree. Reimplemented from TAO_PSDL_Scope.

int TAO_PSDL_Root_Scope::find | ( | const ACE_CString & | identifier_name | ) | `[virtual]`

| Function to check if a particular identifier_name exists in the scope. Reimplemented from TAO_PSDL_Scope.

int TAO_PSDL_Root_Scope::find | ( | const ACE_CString & | identifier_name,
|  | ACE_CString & | identifier_type
| ) | `[virtual]`

| Function to find the TAO_PSDL_Scope for the given identifier_name. Reimplemented from TAO_PSDL_Scope.

int TAO_PSDL_Root_Scope::get_interface_name | ( | const ACE_CString & | identifier_name,
|  | ACE_CString & | interface_name
| ) | `[virtual]`

| To get the name of the interface to which an identifier_name belongs. returns '0' on succes and '-1' on failure. Reimplemented from TAO_PSDL_Scope.

int TAO_PSDL_Root_Scope::get_module_name | ( | const ACE_CString & | identifier_name,
|  | ACE_CString & | module_name
| ) | `[virtual]`

| To get the name of the module to which an identifier_name belongs. returns '0' on succes and '-1' on failure. Reimplemented from TAO_PSDL_Scope.

TAO_PSDL_Scope * TAO_PSDL_Root_Scope::parent_scope | ( | void |  | ) | `[virtual]`

| Public methods to return the scopes needed. Reimplemented from TAO_PSDL_Scope.

Scope_Map * TAO_PSDL_Root_Scope::scope_map | ( | void |  | ) | `[virtual]`

| Return the pointer to Scope_Map of the instance. Reimplemented from TAO_PSDL_Scope.

## Member Data Documentation

Scope_Map TAO_PSDL_Root_Scope::root_scope_map_`[protected]`

The documentation for this class was generated from the following files:

- PSDL_Root_Scope.h
- PSDL_Root_Scope.cpp